=== debian/control ===
Source: ros-lunar-mir-navigation
Section: misc
Priority: extra
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-lunar-mir-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-amcl, ros-lunar-base-local-planner, ros-lunar-dwb-critics, ros-lunar-dwb-local-planner, ros-lunar-dwb-plugins, ros-lunar-map-server, ros-lunar-mir-driver, ros-lunar-mir-dwb-critics, ros-lunar-move-base, ros-lunar-nav-core-adapter, ros-lunar-sbpl-lattice-planner
Description: Launch and configuration files for move_base, localization etc.
 on the MiR robot.
